@import "../../../global.scss";

.cell {
  border: 1.5px solid $light-grey;
  text-align: center;
  position: relative;
  cursor: pointer;
  min-height: 107px;
  min-width: 100px;
  border-radius: 4px;
  background: $very-light-grey;
  transition: all 0.1s ease;
  .text {
    position: absolute;
    color: $med-grey;
    margin: $sml-mg;
    pointer-events: none;
    font-size: $sml-font;
    left: 0;
    top: -3px;
    transition: all 0.1s ease;
  }
  .hours {
    pointer-events: none;
    position: absolute;
    margin: -3 + $sml-mg;
    padding: 2px 5px;
    right: 0;
    top: 0px;
    font-size: $sub-font;
    color: $med-grey;
    border-radius: 4px;
    border: 1px solid $light-grey;
    transition: all 0.1s ease;
  }
  .info {
    position: absolute;
    margin: $sml-mg;
    top: 30px;
    pointer-events: none;
    text-align: left;
    .label {
      font-size: $sub-font;
      color: $med-grey;
      transition: all 0.1s ease;
      .check {
        font-size: 9pt;
        padding: 0px 0.5px 0px 0.5px;
        border-radius: 2px;
        line-height: 1;
        display: inline-block;
        color: $med-grey;
        transition: all 0.1s ease;
      }
    }
  }
}

.cell:hover {
  transform: translateY(-2px);
  background: white;
  border-color: $green;
  box-shadow: $sml-shadow;
  .text {
    color: $green;
  }
  .hours {
    border-color: $green;
    background: $green;
    color: white;
  }
  .info {
    .label {
      color: $green;
    }
    .check {
      color: $green;
    }
  }
}

.active .cell {
  transform: translateY(-2px);
  background: $green;
  border-color: $green;
  box-shadow: $sml-shadow;
  .text {
    color: white;
  }
  .hours {
    border-color: $green;
    background: white;
    color: $green;
  }
  .text {
    color: white;
  }
  .info {
    .label {
      color: white;
    }
    .check {
      background: white;
      color: $green;
    }
  }
}

.blank {
  .cell {
    cursor: not-allowed;
    background: $light-grey;
    border-color: transparent;
    &:hover {
      transform: translateY(0);
      box-shadow: none;
    }
    .text {
      color: $med-grey;
    }
  }
}
.currentDate {
  .cell {
    border-color: $blue;
    .hours {
      border-color: $blue;
      background: $blue;
      color: white;
    }
    .text {
      color: $blue;
      font-weight: 600;
    }
    .info {
      .label {
        color: $blue;
      }
      .check {
        color: $blue;
      }
    }
  }
  .active {
    .cell {
      background: $blue;
      .hours {
        border-color: $blue;
        background: white;
        color: $blue;
      }
      .info {
        .label {
          color: white;
        }
      }
      .text {
        color: white;
      }
    }
  }
}
